Introspect the details of the current authentication.
curl --request GET \
--url https://external.pleo.io/v1/introspect \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/introspect"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/introspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"authMethod": "API_KEY",
"clientId": "d8b8a6d4-3c4b-4b8e-8b2e-1f2a3d4e5f6a",
"scope": "export:read users:write expense:read",
"applicationName": "Netsuite",
"subjectURN": "urn:pleo:company:d7b8a6d4-3c4b-4b8e-8b2e-1f2a3d4e5f6b"
}
}External Clients
Introspect the details of the current authentication.
Returns the detail of the current authentication and what scope of the authentication (i.e API KEY or OAuth bearer token)
GET
/
v1
/
introspect
Introspect the details of the current authentication.
Was this page helpful?
⌘I